--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: By default associations do not need to select a key in an associated table to eagerly load.
full_name: Sequel::Model::Associations::AssociationReflection#eager_loading_use_associated_key?
is_singleton: false
name: eager_loading_use_associated_key?
params: ()
visibility: public
